package com.steerinfo.ems.qcmbasechem.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="化学元素代码")
public class QcmBaseChem implements IBasePO<String> {
    /**
     * 元素代码（L2编码，元素类型+3位流水）(CHEM_CODE,VARCHAR,10)
     */
    @ApiModelProperty(value="元素代码（L2编码，元素类型+3位流水）",required=true)
    private String chemCode;

    /**
     * 元素名称(CHEM_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="元素名称",required=true)
    private String chemName;

    /**
     * 元素类型（S：单一元素、M：复合元素)(CHEM_TYPE,CHAR,1)
     */
    @ApiModelProperty(value="元素类型（S：单一元素、M：复合元素)",required=true)
    private String chemType;

    /**
     * 计算公式(CHEM_FORMULA,VARCHAR,200)
     */
    @ApiModelProperty(value="计算公式",required=false)
    private String chemFormula;

    /**
     * 生效标志（1：有效、0：无效）(VALID_FLAG,CHAR,1)
     */
    @ApiModelProperty(value="生效标志（1：有效、0：无效）",required=true)
    private String validFlag;

    /**
     * 元素来源（L3、L2）(CHEM_SOURCE,VARCHAR,10)
     */
    @ApiModelProperty(value="元素来源（L3、L2）",required=true)
    private String chemSource;

    /**
     * L3代码编号（如：QMA1，代表复合元素）(L3_CODE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="L3代码编号（如：QMA1，代表复合元素）",required=false)
    private String l3CodeNo;

    /**
     * L3元素代码(L3_CHEM_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="L3元素代码",required=false)
    private String l3ChemCode;

    /**
     * 显示顺序(DISPLAY_ORDER,DECIMAL,5)
     */
    @ApiModelProperty(value="显示顺序",required=true)
    private Integer displayOrder;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 创建人(CREATE_OPR,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createOpr;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    /**
     * 修改人(UPDATE_OPR,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String updateOpr;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.chemCode;
    }

    @Override
    public void setId(String chemCode) {
        this.chemCode = chemCode == null ? null : chemCode.trim();
    }

    public String getChemCode() {
        return chemCode;
    }

    public void setChemCode(String chemCode) {
        this.chemCode = chemCode == null ? null : chemCode.trim();
    }

    public String getChemName() {
        return chemName;
    }

    public void setChemName(String chemName) {
        this.chemName = chemName == null ? null : chemName.trim();
    }

    public String getChemType() {
        return chemType;
    }

    public void setChemType(String chemType) {
        this.chemType = chemType == null ? null : chemType.trim();
    }

    public String getChemFormula() {
        return chemFormula;
    }

    public void setChemFormula(String chemFormula) {
        this.chemFormula = chemFormula == null ? null : chemFormula.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getChemSource() {
        return chemSource;
    }

    public void setChemSource(String chemSource) {
        this.chemSource = chemSource == null ? null : chemSource.trim();
    }

    public String getL3CodeNo() {
        return l3CodeNo;
    }

    public void setL3CodeNo(String l3CodeNo) {
        this.l3CodeNo = l3CodeNo == null ? null : l3CodeNo.trim();
    }

    public String getL3ChemCode() {
        return l3ChemCode;
    }

    public void setL3ChemCode(String l3ChemCode) {
        this.l3ChemCode = l3ChemCode == null ? null : l3ChemCode.trim();
    }

    public Integer getDisplayOrder() {
        return displayOrder;
    }

    public void setDisplayOrder(Integer displayOrder) {
        this.displayOrder = displayOrder;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateOpr() {
        return createOpr;
    }

    public void setCreateOpr(String createOpr) {
        this.createOpr = createOpr == null ? null : createOpr.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateOpr() {
        return updateOpr;
    }

    public void setUpdateOpr(String updateOpr) {
        this.updateOpr = updateOpr == null ? null : updateOpr.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", chemCode=").append(chemCode);
        sb.append(", chemName=").append(chemName);
        sb.append(", chemType=").append(chemType);
        sb.append(", chemFormula=").append(chemFormula);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", chemSource=").append(chemSource);
        sb.append(", l3CodeNo=").append(l3CodeNo);
        sb.append(", l3ChemCode=").append(l3ChemCode);
        sb.append(", displayOrder=").append(displayOrder);
        sb.append(", memo=").append(memo);
        sb.append(", createOpr=").append(createOpr);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateOpr=").append(updateOpr);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}